module MatrixCreator
  module Everloop
    ##
    # Contains the constants to be used for RGB+W Color values
    module Color
      # Contains the hash values for the color white
      # @return [Hash] rgb+w values for this color
      WHITE = { r: 0, g: 0, b: 0, w: 10 }.freeze

      # Contains the hash values for the color red
      # @return [Hash] rgb+w values for this color
      RED = { r: 10, g: 0, b: 0, w: 0 }.freeze

      # Contains the hash values for the color orange
      # @return [Hash] rgb+w values for this color
      ORANGE = { r: 10, g: 2, b: 0, w: 0 }.freeze

      # Contains the hash values for the color yellow
      # @return [Hash] rgb+w values for this color
      YELLOW = { r: 10, g: 5, b: 0, w: 0 }.freeze

      # Contains the hash values for the color spring green
      # @return [Hash] rgb+w values for this color
      SPRING_GREEN = { r: 8, g: 10, b: 0, w: 0 }.freeze

      # Contains the hash values for the color green
      # @return [Hash] rgb+w values for this color
      GREEN = { r: 0, g: 10, b: 0, w: 0 }.freeze

      # Contains the hash values for the color turquoise
      # @return [Hash] rgb+w values for this color
      TURQUOISE = { r: 0, g: 10, b: 2, w: 0 }.freeze

      # Contains the hash values for the color cyan
      # @return [Hash] rgb+w values for this color
      CYAN = { r: 0, g: 10, b: 10, w: 0 }.freeze

      # Contains the hash values for the color ocean
      # @return [Hash] rgb+w values for this color
      OCEAN = { r: 0, g: 6, b: 10, w: 0 }.freeze

      # Contains the hash values for the color blue
      # @return [Hash] rgb+w values for this color
      BLUE = { r: 0, g: 0, b: 10, w: 0 }.freeze

      # Contains the hash values for the color violet
      # @return [Hash] rgb+w values for this color
      VIOLET = { r: 4, g: 0, b: 10, w: 0 }.freeze

      # Contains the hash values for the color magenta
      # @return [Hash] rgb+w values for this color
      MAGENTA = { r: 10, g: 0, b: 10, w: 0 }.freeze

      # Contains the hash values for the color raspberry
      # @return [Hash] rgb+w values for this color
      RASPBERRY = { r: 10, g: 0, b: 3, w: 0 }.freeze

      # Contains the hash values to turn off the Led
      # @return [Hash] rgb+w values for this color
      OFF = { r: 0, g: 0, b: 0, w: 0 }.freeze
    end
  end
end
